<?php

namespace zaya\Contracts;

use zaya\Services\Curl\Curl;

abstract class BaseRepo
{
    protected $curl;

    protected function __construct()
    {
        $this->curl = new Curl();
        $this->curl->loginWithToken();
    }

    public static function getInstance()
    {
        if (static::$instance === null) {
            static::$instance = new static();
        }

        return static::$instance;
    }
}