<?php

namespace zaya\Services\Translate;

use zaya\Utilities\File;

class Trans
{
    protected $trans;

    protected $files;

    protected static $instance;

    public static function getInstance()
    {
        if (static::$instance === null) {
            static::$instance = new self();
        }

        return static::$instance;
    }

    public static function get($str)
    {
        $keys = explode('.', $str);
        $trans = self::getInstance()->getTrans();
        foreach ($keys as $key) {
            if ($keys == null) {
                continue;
            }
            $trans = $trans[$key];
        }

        return $trans;
    }

    private function __construct()
    {
        if (get_locale() == 'fa_IR') {
            $path = 'fa' . DIRECTORY_SEPARATOR;
        } else {
            $path = 'en' . DIRECTORY_SEPARATOR;
        }
        $this->trans = File::scanAllFiles(ZAYA_TRANS_PATH . $path);
    }

    public function getTrans()
    {
        return $this->trans;
    }
}