<?php

namespace zaya\Setup;

use zaya\Services\Config\Config;
use zaya\Services\Translate\Trans;

class AdminBar
{
    public function __construct()
    {
        add_action('admin_bar_menu', [
            &$this,
            'new_link',
        ], 999);
    }

    public function new_link($wp_admin_bar)
    {
        $args = [
            'id' => 'new-link',
            'title' => Trans::get('menu.new_link'),
            'href' => admin_url('admin.php?page=' . Config::get('app.links_slug')),
            'parent' => 'new-content',
        ];
        $wp_admin_bar->add_node($args);
    }
}