<?php

namespace zaya\Setup;

use zaya\Core\Request;
use zaya\Controllers\MetaboxController;

class Metaboxes
{
    public function __construct(Request $request)
    {
        $controller = new MetaboxController();
        add_action('edit_form_before_permalink', function () use ($controller) {
            return $controller->create();
        });
        add_action('save_post', function ($post_id) use ($controller, $request) {
            return $controller->save($post_id, $request);
        });
    }
}