<?php

namespace zaya\Utilities;

use zaya\Repositories\Domains;
use zaya\Services\Config\Config;

class Domain
{
    public static function all()
    {
        $customs = [];
        $domains = Domains::getInstance()->all();
        if (! $domains) {
            return [];
        }
        $domains = $domains->data;
        if ($domains && count($domains) > 0) {
            foreach ($domains as $domain) {
                $customs[$domain->id] = $domain->name;
            }
        }

        return $customs;
    }
}