<?php

namespace zaya\Utilities;

class File
{
    public static function scanAllFiles($base)
    {
        $data = [];
        $files = scandir($base);
        foreach ($files as $file) {
            if ($file == '.' || $file == '..') {
                continue;
            }
            $key = str_replace('.php', '', $file);
            if (file_exists($base . $file) && is_readable($base . $file)) {
                $data[$key] = include $base . $file;
            }
        }

        return $data;
    }
}