<?php

namespace zaya\Utilities;

class Input
{
    public static function clean($requests)
    {
        $clean = [];
        foreach ($requests as $key => $request) {
            if (! is_array($request)) {
                $clean[$key] = sanitize_text_field($request);
                continue;
            }
            foreach ($request as $item) {
                $clean[$key][] = $item;
            }
        }

        return $clean;
    }
}