<?php

return [
    'token_key_option' => 'zaya_token_Authorization',
    'default_domain_key_option' => 'zaya_default_domain',
    'default_domain_url_key_option' => 'zaya_url_default_domain',
    'api_base_url' => 'https://zaya.io/api/v1/',
    'posts_per_page' => 15,

    'permission_access' => 'edit_posts',
    'dashboard_slug' => 'zaya-dashboard',
    'links_slug' => 'zaya-links',
    'settings_slug' => 'zaya-settings',
    'edit_slug' => 'zaya-edit',

    'key_meta_box' => 'zaya_details',
    'default_url' => 'https://zaya.io/',

    'default_domains' => [
        '1' => 'urls.st',
        '3' => 'tipy.link',
        '4' => 'zood.link',
        '5' => 'zaya.link',
    ],

    'embed_fa' => 'https://zaya.io/fa.html',
    'embed_en' => 'https://zaya.io/en.html',

    'posts_space_key' => 'zaya_space_posts',
    'others_space_key' => 'zaya_space_others',

    'posts_space_name' => 'space_' . explode('.', $_SERVER['HTTP_HOST'])[0],
    'others_space_name' => 'others_' . explode('.', $_SERVER['HTTP_HOST'])[0],

];