<?php

namespace zaya\Services\Config;

use zaya\Utilities\File;

class Config
{
    protected $configs;

    protected $files;

    protected static $instance;

    public static function getInstance()
    {
        if (static::$instance === null) {
            static::$instance = new self();
        }

        return static::$instance;
    }

    public static function get($str)
    {
        $keys = explode('.', $str);
        $config = self::getInstance()->getConfigs();
        foreach ($keys as $key) {
            if ($keys == null) {
                continue;
            }
            $config = $config[$key];
        }

        return $config;
    }

    private function __construct()
    {
        $this->configs = File::scanAllFiles(ZAYA_CONFING_PATH);
    }

    public function getConfigs()
    {
        return $this->configs;
    }
}