<?php

/**
 * Fired when the plugin is uninstalled.
 *
 * @link       https://zaya.io/
 * @since      1.0.0
 *
 * @package    Zaya - URL Shortener
 */

// If uninstall not called from WordPress, then exit.
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	exit;
}
delete_option( 'zaya_space_posts' );
delete_option( 'zaya_space_others' );
delete_option( 'zaya_default_domain' );
delete_option( 'zaya_url_default_domain' );
delete_option( 'zaya_post_types' );
delete_option( 'zaya_token_Authorization' );
