<?php

/*
 * Plugin Name: Zaya - URL Shortener
 * Plugin URI: https://zaya.io/
 * Description: A plugin for URL shortening
 * Author: Zaya
 * Version: 1.6.3
 * Author URI: https://zaya.io/
*/

if (file_exists(dirname(__FILE__) . '/plugin-update-checker/plugin-update-checker.php')) {
    require_once dirname(__FILE__) . '/plugin-update-checker/plugin-update-checker.php';
    $myUpdateChecker = new Puc_v4p10_Vcs_PluginUpdateChecker(
        new Puc_v4p10_Vcs_GitLabApi('https://gitlab.apps.7ho.st/ali/zaya-url-shortener'),
        __FILE__,
        'zaya-url-shortener'
    );
    $myUpdateChecker->setAuthentication('4xHZSeaxY4EJo1Pmz_u6');
    $myUpdateChecker->setBranch('master');
}

if (file_exists(dirname(__FILE__) . '/vendor/autoload.php')) {
    require_once dirname(__FILE__) . '/vendor/autoload.php';
}

if (class_exists('\zaya\App')) {
    $app = new \zaya\App();
}